
// scene1.cpp - Sets up the first game scene

// Andy Barnhart
// This program is provided as a sample to accompany an article on graphics
//    animation using C++
// This seems to work for me and I hope it works for you. No other warranty
//    is expressed or implied.

#include <so_all.hpp>

extern Player *player;

void Scene1( void);

void Scene1( void)
	{

	AddMotion( "fire", 200, GMY-49,2,2);
	if( !player) player = new Player("hero", 0, 0);
	AddMotion( "fire", 400, GMY-49 ,2,2);
	AddWall("brick", 0, LEV(6), (GMX+127)/128, 0);
	AddWall("platform", 0, LEV(1), 1, 0);

	AddWall("platform", 110, LEV(2), 1, 0);
	AddWall("block", 110, LEV(2), 1, 0)->OnTop(LEV(2));

	AddWall("platform", 220, LEV(3), 1, 0);
	AddWall("block", 220, LEV(3), 1, 0)->OnTop(LEV(3));

	AddWall("platform", 330, LEV(4), 1, 0);
	AddWall("block", 330, LEV(4), 1, 0)->OnTop(LEV(4));

	AddCreeper("spidy", AddWall("platform", 440, LEV(5), 1, 0));

	AddPrize("gem1", 128,LEV(5), 0);

	AddDoor("door1", 0,LEV(6), 2)->OnTop( LEV(6));

	ShowScene();
	}
