// srvritem.h : interface of the COTextSrvrItem class
//

class COTextSrvrItem : public COleServerItem
{
	DECLARE_DYNAMIC(COTextSrvrItem)

// Constructors
public:
	COTextSrvrItem(COTextDoc* pContainerDoc);

// Attributes
	COTextDoc* GetDocument() const
		{ return (COTextDoc*)COleServerItem::GetDocument(); }

// Implementation
public:
	~COTextSrvrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual BOOL OnDraw(CDC* pDC, CSize& rSize);
	virtual BOOL OnGetExtent(DVASPECT dwDrawAspect, CSize& rSize);

protected:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
};

/////////////////////////////////////////////////////////////////////////////
