// aboutdlg.cpp : implementation file
//

#include <afxwin.h>
#include <afxext.h> 
#include <ctl3d.h>

#include "resource.h"

#include "aboutdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog

CAboutDlg::CAboutDlg(CWnd* pParent /*=NULL*/)
   : CDialog( IDD_ABOUT, pParent )
{}


BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
   ON_WM_TIMER()
   ON_WM_PAINT()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg message handlers

BOOL CAboutDlg::OnInitDialog()
{
   CDialog::OnInitDialog();
   
   // mimic us beeing a modal dialog
   GetParent()->EnableWindow( FALSE );
   
   // TODO: Add extra initialization here
   CenterWindow();
     
   for ( UINT iBmp=0; iBmp<7; ++iBmp )
   {
      VERIFY( m_arrBmp[iBmp].LoadBitmap( 
         MAKEINTRESOURCE( IDB_BITMAP1 + iBmp )));
   }     
   
   VERIFY( m_nTimerProc = SetTimer( 9, 100, NULL ));
   m_nBitmap = 0;
   CWnd * pWnd = GetDlgItem( IDC_POS_BITMAP );
   ASSERT( pWnd );
   pWnd->GetWindowRect( &m_rectBitmap );
   m_rectBitmap.left = m_rectBitmap.left +
                       (((m_rectBitmap.right - m_rectBitmap.left ) - 64) / 2);
   m_rectBitmap.right = m_rectBitmap.right - 
                       (((m_rectBitmap.right - m_rectBitmap.left ) - 64) / 2);                       
   ScreenToClient( &m_rectBitmap );
        
   return TRUE;  
}

void CAboutDlg::OnOK()
{
   VERIFY( KillTimer( m_nTimerProc ));       
   
   // undo  out modal mimicry
   GetParent()->EnableWindow( TRUE );
   
   CDialog::OnOK();
}

void CAboutDlg::OnTimer(UINT nIDEvent)
{
   m_nBitmap++;
   if ( m_nBitmap > 6 ) 
      m_nBitmap = 0;
   InvalidateRect( m_rectBitmap, FALSE );        
   CDialog::OnTimer(nIDEvent);
}

void CAboutDlg::OnPaint()
{
   CPaintDC dc(this); // device context for painting
   
   CDC dcMem;
   
   VERIFY( dcMem.CreateCompatibleDC( &dc ));
   VERIFY( dcMem.SelectObject( &m_arrBmp[m_nBitmap] ));
   VERIFY( dc.BitBlt( m_rectBitmap.left,
                      m_rectBitmap.top,
                      m_rectBitmap.right,
                      m_rectBitmap.bottom,
                      &dcMem,
                      0, 0, SRCCOPY ));     
      
}
