// grpdlg.h : header file
//

#include "appinfo.h"

/////////////////////////////////////////////////////////////////////////////
// CAppGrpDlg dialog

class CAppGrpDlg : public CDialog
{
// Construction
public:
   CAppGrpDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
   //{{AFX_DATA(CAppGrpDlg)
   enum { IDD = IDD_APPLIST };
   CStatic  m_Icon;
   CListBox m_lstApps;
   //}}AFX_DATA
             
   CApplicationList  m_ApplicationList;            
   CString  m_strIconFile;
   UINT     m_nIcon;
             
// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CAppGrpDlg)
   virtual BOOL OnInitDialog();
   afx_msg void OnClickedButton5();
   afx_msg void OnClickedChangeicon();
   afx_msg void OnClickedHelp1();
   afx_msg void OnClickedEdit();
   afx_msg void OnClickedAdd();
   afx_msg void OnClickedRemove();
   afx_msg void OnClickedLaunch();
   afx_msg void OnDblclkListapps();
   virtual void OnOK();
   virtual void OnCancel();
	afx_msg void OnClickedRemoveAll();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP() 
   
public: 
   // return the "current" CApplication ptr, 
   // that is, the CApplication that currently is to be
   // displayed in an edit or add dialog
   const CApplication * CurrentApplication() const;
   
private:
   CApplication * m_pCurrent;      
   // free the ItemDataPtrs that were alloted
   // in OnInitDialog
   void FreeItemData();
   
   // handle the icon display
   void HandleIcon();
};
